平台智能 API
Instagram API
通过照片、故事、短视频和直接消息,Instagram 每月吸引约 30 亿用户,是品牌叙事、创作者合作、产品发现和视觉商务的重要平台。
API 参考 版本: 1.0.0 25 终端 身份验证
基本网址
https://api.pressmonitor.com/instagram/v1 身份验证
所有请求使用 Bearer 令牌身份验证。每个调用都添加授权头。
Authorization: Bearer YOUR_TOKEN GET
/audio-info 音频信息
Audio Info
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| audio_id | string | query | 是 | 音频 ID |
| cursor | integer | query | 不 | 下一页的分页游标 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/audio-info?audio_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/audio-info?audio_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/audio-info" querystring = {"audio_id":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/audio-info?audio_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/audio-info?audio_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/comments-thread 评论线程
Comments Thread
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| comment_id | string | query | 是 | 评论 ID |
| count | integer | query | 不 | 返回结果数量 |
| cursor | integer | query | 不 | 下一页的分页游标 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/comments-thread?comment_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/comments-thread?comment_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/comments-thread" querystring = {"comment_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/comments-thread?comment_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/comments-thread?comment_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/followers 粉丝
Followers
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| username_or_id_or_url | string | query | 是 | 用户名、ID 或 URL |
| cursor | integer | query | 不 | 下一页的分页游标 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/followers?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/followers?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/followers" querystring = {"username_or_id_or_url":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/followers?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/followers?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/following 关注中
Following
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| username_or_id_or_url | string | query | 是 | 用户名、ID 或 URL |
| cursor | integer | query | 不 | 下一页的分页游标 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/following?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/following?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/following" querystring = {"username_or_id_or_url":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/following?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/following?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/hashtag-posts 标签帖子
Hashtag Posts
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| hashtag | string | query | 是 | 标签 |
| count | integer | query | 不 | 返回结果数量 |
| cursor | integer | query | 不 | 下一页的分页游标 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/hashtag-posts?hashtag=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/hashtag-posts?hashtag=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/hashtag-posts" querystring = {"hashtag":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/hashtag-posts?hashtag=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/hashtag-posts?hashtag=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/highlight-info 精选信息
Highlight Info
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| highlight_id | string | query | 是 | 精选 ID |
| cursor | integer | query | 不 | 下一页的分页游标 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/highlight-info?highlight_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/highlight-info?highlight_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/highlight-info" querystring = {"highlight_id":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/highlight-info?highlight_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/highlight-info?highlight_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/highlights 精选内容
Highlights
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| username_or_id_or_url | string | query | 是 | 用户名、ID 或 URL |
| cursor | integer | query | 不 | 下一页的分页游标 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/highlights?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/highlights?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/highlights" querystring = {"username_or_id_or_url":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/highlights?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/highlights?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/info 信息
Info
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| username_or_id_or_url | string | query | 是 | 用户名、ID 或 URL |
| cursor | integer | query | 不 | 下一页的分页游标 |
| include_about | string | query | 不 | 包含关于 |
| url_embed_safe | string | query | 不 | URL 嵌入安全 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/info?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE&include_about=SOME_STRING_VALUE&url_embed_safe=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/info?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE&include_about=SOME_STRING_VALUE&url_embed_safe=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/info" querystring = {"username_or_id_or_url":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE","include_about":"SOME_STRING_VALUE","url_embed_safe":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/info?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE&include_about=SOME_STRING_VALUE&url_embed_safe=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/info?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE&include_about=SOME_STRING_VALUE&url_embed_safe=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/likes 点赞
Likes
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| shortcode | string | query | 是 | 短代码 |
| count | integer | query | 不 | 返回结果数量 |
| cursor | integer | query | 不 | 下一页的分页游标 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/likes?shortcode=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/likes?shortcode=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/likes" querystring = {"shortcode":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/likes?shortcode=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/likes?shortcode=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/location-posts 地点帖子
Location Posts
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| location_id | string | query | 是 | 地点 ID |
| count | integer | query | 不 | 返回结果数量 |
| cursor | integer | query | 不 | 下一页的分页游标 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/location-posts?location_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/location-posts?location_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/location-posts" querystring = {"location_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/location-posts?location_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/location-posts?location_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/post-info 帖子信息
Post Info
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| url_or_shortcode | string | query | 是 | URL 或短代码 |
| cursor | integer | query | 不 | 下一页的分页游标 |
| url_embed_safe | string | query | 不 | URL 嵌入安全 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/post-info?url_or_shortcode=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE&url_embed_safe=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/post-info?url_or_shortcode=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE&url_embed_safe=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/post-info" querystring = {"url_or_shortcode":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE","url_embed_safe":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/post-info?url_or_shortcode=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE&url_embed_safe=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/post-info?url_or_shortcode=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE&url_embed_safe=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/posts 帖子
Posts
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| username_or_id_or_url | string | query | 是 | 用户名、ID 或 URL |
| cursor | integer | query | 不 | 下一页的分页游标 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/posts?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/posts?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/posts" querystring = {"username_or_id_or_url":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/posts?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/posts?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/reels 短视频
Reels
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| username_or_id_or_url | string | query | 是 | 用户名、ID 或 URL |
| cursor | integer | query | 不 | 下一页的分页游标 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/reels?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/reels?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/reels" querystring = {"username_or_id_or_url":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/reels?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/reels?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/reposts 转发
Reposts
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| username_or_id_or_url | string | query | 是 | 用户名、ID 或 URL |
| count | integer | query | 不 | 返回结果数量 |
| cursor | integer | query | 不 | 下一页的分页游标 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/reposts?username_or_id_or_url=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/reposts?username_or_id_or_url=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/reposts" querystring = {"username_or_id_or_url":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/reposts?username_or_id_or_url=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/reposts?username_or_id_or_url=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/search-audios 搜索音频
Search Audios
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| search_query | string | query | 是 | 搜索查询 |
| cursor | integer | query | 不 | 下一页的分页游标 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/search-audios?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/search-audios?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/search-audios" querystring = {"search_query":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/search-audios?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/search-audios?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/search-coordinates 搜索坐标
Search Coordinates
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| lat | string | query | 是 | 纬度 |
| lng | string | query | 是 | 经度 |
| cursor | integer | query | 不 | 下一页的分页游标 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/search-coordinates?lat=SOME_STRING_VALUE&lng=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/search-coordinates?lat=SOME_STRING_VALUE&lng=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/search-coordinates" querystring = {"lat":"SOME_STRING_VALUE","lng":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/search-coordinates?lat=SOME_STRING_VALUE&lng=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/search-coordinates?lat=SOME_STRING_VALUE&lng=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/search-locations 搜索地点
Search Locations
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| search_query | string | query | 是 | 搜索查询 |
| cursor | integer | query | 不 | 下一页的分页游标 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/search-locations?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/search-locations?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/search-locations" querystring = {"search_query":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/search-locations?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/search-locations?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/search-posts 搜索帖子
Search Posts
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| search_query | string | query | 是 | 搜索查询 |
| cursor | integer | query | 不 | 下一页的分页游标 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/search-posts?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/search-posts?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/search-posts" querystring = {"search_query":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/search-posts?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/search-posts?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/search-reels 搜索短视频
Search Reels
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| search_query | string | query | 是 | 搜索查询 |
| cursor | integer | query | 不 | 下一页的分页游标 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/search-reels?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/search-reels?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/search-reels" querystring = {"search_query":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/search-reels?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/search-reels?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/search-similar 搜索相似
Search Similar
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| username_or_id | string | query | 是 | 用户名或 ID |
| cursor | integer | query | 不 | 下一页的分页游标 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/search-similar?username_or_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/search-similar?username_or_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/search-similar" querystring = {"username_or_id":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/search-similar?username_or_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/search-similar?username_or_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/search-users 搜索用户
Search Users
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| search_query | string | query | 是 | 搜索查询 |
| cursor | integer | query | 不 | 下一页的分页游标 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/search-users?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/search-users?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/search-users" querystring = {"search_query":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/search-users?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/search-users?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/stories 故事
Stories
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| username_or_id_or_url | string | query | 是 | 用户名、ID 或 URL |
| cursor | integer | query | 不 | 下一页的分页游标 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/stories?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/stories?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/stories" querystring = {"username_or_id_or_url":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/stories?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/stories?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/tagged 被标记
Tagged
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| username_or_id_or_url | string | query | 是 | 用户名、ID 或 URL |
| count | integer | query | 不 | 返回结果数量 |
| cursor | integer | query | 不 | 下一页的分页游标 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/tagged?username_or_id_or_url=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/tagged?username_or_id_or_url=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/tagged" querystring = {"username_or_id_or_url":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/tagged?username_or_id_or_url=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/tagged?username_or_id_or_url=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
/comments评论
Comments
参数
stringintegerinteger代码示例
响应